Schedule Single Payout
curl --request POST \
--url https://nini.monieswitch.com/payout/single/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 350,
"pin": "1234",
"bankCode": "000023",
"email": "[email protected]",
"accountNumber": "2394934324",
"scheduleDate": "2024-07-10T12:50:15.851Z",
"narration": "Testing schedule transaction"
}
'import requests
url = "https://nini.monieswitch.com/payout/single/schedule"
payload = {
"amount": 350,
"pin": "1234",
"bankCode": "000023",
"email": "[email protected]",
"accountNumber": "2394934324",
"scheduleDate": "2024-07-10T12:50:15.851Z",
"narration": "Testing schedule transaction"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 350,
pin: '1234',
bankCode: '000023',
email: '[email protected]',
accountNumber: '2394934324',
scheduleDate: '2024-07-10T12:50:15.851Z',
narration: 'Testing schedule transaction'
})
};
fetch('https://nini.monieswitch.com/payout/single/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Transaction has been successfully scheduled",
"data": {
"charges": 20,
"status": "NEW",
"id": "2c694f49-115e-4d3f-9513-3f71eeba563b",
"amount": 300,
"bankCode": "000023",
"narration": "Testing schedule transaction",
"scheduleDate": "2024-07-02T07:30:15.851Z",
"accountNumber": "2394934324",
"createdAt": "2024-07-02T07:28:23.510Z"
}
}Payout
Schedule Single Payout
POST
/
payout
/
single
/
schedule
Schedule Single Payout
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I